/**
 * ./src/classes/ovary.ts
 * penguins-eggs v.10.0.0 / ecmascript 2020
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
import CliAutologin from './cli-autologin.js';
import Incubator from './incubation/incubator.js';
import Settings from './settings.js';
import { fertilization } from './ovary.d/fertilization.js';
import { produce } from './ovary.d/produce.js';
import { bindLiveFs, uBindLiveFs } from './ovary.d/bind-live-fs.js';
import { bindVfs, ubindVfs } from './ovary.d/bind-vfs.js';
import { editLiveFs } from './ovary.d/edit-live-fs.js';
import { makeSquashfs, addExclusion } from './ovary.d/make-squashfs.js';
import { makeEfi } from './ovary.d/make-efi.js';
import { xorrisoCommand } from './ovary.d/xorriso-command.js';
import { createXdgAutostart } from './ovary.d/create-xdg-autostart.js';
import { copied, merged, mergedAndOverlay } from './ovary.d/merged.js';
import { makeIso } from './ovary.d/make-iso.js';
import { initrdAlpine, initrdArch, initrdDebian, initrdDracut } from './ovary.d/initrd.js';
import { userCreateLive } from './ovary.d/user-create-live.js';
import { syslinux } from './ovary.d/syslinux.js';
import { usersRemove } from './ovary.d/users-remove.js';
import { makeDotDisk } from './ovary.d/make-dot-disk.js';
import { kernelCopy } from './ovary.d/kernel-copy.js';
import { liveCreateStructure } from './ovary.d/live-create-structure.js';
import { finished } from './ovary.d/finished.js';
/**
 * Ovary:
 */
export default class Ovary {
    cliAutologin: CliAutologin;
    clone: boolean;
    compression: string;
    cryptedclone: boolean;
    echo: {};
    familyId: string;
    distroId: string;
    genisoimage: boolean;
    incubator: Incubator;
    nest: string;
    settings: Settings;
    snapshot_basename: string;
    snapshot_prefix: string;
    theme: string;
    toNull: string;
    verbose: boolean;
    volid: string;
    uuid: string;
    kernel: string;
    initrd: string;
    vmlinuz: string;
    fertilization: typeof fertilization;
    produce: typeof produce;
    bindLiveFs: typeof bindLiveFs;
    bindVfs: typeof bindVfs;
    editLiveFs: typeof editLiveFs;
    makeEfi: typeof makeEfi;
    makeSquashfs: typeof makeSquashfs;
    addExclusion: typeof addExclusion;
    xorrisoCommand: typeof xorrisoCommand;
    createXdgAutostart: typeof createXdgAutostart;
    copied: typeof copied;
    merged: typeof merged;
    mergedAndOverlay: typeof mergedAndOverlay;
    makeIso: typeof makeIso;
    initrdAlpine: typeof initrdAlpine;
    initrdArch: typeof initrdArch;
    initrdDebian: typeof initrdDebian;
    initrdDracut: typeof initrdDracut;
    userCreateLive: typeof userCreateLive;
    syslinux: typeof syslinux;
    uBindLiveFs: typeof uBindLiveFs;
    ubindVfs: typeof ubindVfs;
    usersRemove: typeof usersRemove;
    makeDotDisk: typeof makeDotDisk;
    kernelCopy: typeof kernelCopy;
    liveCreateStructure: typeof liveCreateStructure;
    finished: typeof finished;
}
