import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  AssociateAliasCommandInput,
  AssociateAliasCommandOutput,
} from "../commands/AssociateAliasCommand";
import {
  AssociateDistributionTenantWebACLCommandInput,
  AssociateDistributionTenantWebACLCommandOutput,
} from "../commands/AssociateDistributionTenantWebACLCommand";
import {
  AssociateDistributionWebACLCommandInput,
  AssociateDistributionWebACLCommandOutput,
} from "../commands/AssociateDistributionWebACLCommand";
import {
  CopyDistributionCommandInput,
  CopyDistributionCommandOutput,
} from "../commands/CopyDistributionCommand";
import {
  CreateAnycastIpListCommandInput,
  CreateAnycastIpListCommandOutput,
} from "../commands/CreateAnycastIpListCommand";
import {
  CreateCachePolicyCommandInput,
  CreateCachePolicyCommandOutput,
} from "../commands/CreateCachePolicyCommand";
import {
  CreateCloudFrontOriginAccessIdentityCommandInput,
  CreateCloudFrontOriginAccessIdentityCommandOutput,
} from "../commands/CreateCloudFrontOriginAccessIdentityCommand";
import {
  CreateConnectionGroupCommandInput,
  CreateConnectionGroupCommandOutput,
} from "../commands/CreateConnectionGroupCommand";
import {
  CreateContinuousDeploymentPolicyCommandInput,
  CreateContinuousDeploymentPolicyCommandOutput,
} from "../commands/CreateContinuousDeploymentPolicyCommand";
import {
  CreateDistributionCommandInput,
  CreateDistributionCommandOutput,
} from "../commands/CreateDistributionCommand";
import {
  CreateDistributionTenantCommandInput,
  CreateDistributionTenantCommandOutput,
} from "../commands/CreateDistributionTenantCommand";
import {
  CreateDistributionWithTagsCommandInput,
  CreateDistributionWithTagsCommandOutput,
} from "../commands/CreateDistributionWithTagsCommand";
import {
  CreateFieldLevelEncryptionConfigCommandInput,
  CreateFieldLevelEncryptionConfigCommandOutput,
} from "../commands/CreateFieldLevelEncryptionConfigCommand";
import {
  CreateFieldLevelEncryptionProfileCommandInput,
  CreateFieldLevelEncryptionProfileCommandOutput,
} from "../commands/CreateFieldLevelEncryptionProfileCommand";
import {
  CreateFunctionCommandInput,
  CreateFunctionCommandOutput,
} from "../commands/CreateFunctionCommand";
import {
  CreateInvalidationCommandInput,
  CreateInvalidationCommandOutput,
} from "../commands/CreateInvalidationCommand";
import {
  CreateInvalidationForDistributionTenantCommandInput,
  CreateInvalidationForDistributionTenantCommandOutput,
} from "../commands/CreateInvalidationForDistributionTenantCommand";
import {
  CreateKeyGroupCommandInput,
  CreateKeyGroupCommandOutput,
} from "../commands/CreateKeyGroupCommand";
import {
  CreateKeyValueStoreCommandInput,
  CreateKeyValueStoreCommandOutput,
} from "../commands/CreateKeyValueStoreCommand";
import {
  CreateMonitoringSubscriptionCommandInput,
  CreateMonitoringSubscriptionCommandOutput,
} from "../commands/CreateMonitoringSubscriptionCommand";
import {
  CreateOriginAccessControlCommandInput,
  CreateOriginAccessControlCommandOutput,
} from "../commands/CreateOriginAccessControlCommand";
import {
  CreateOriginRequestPolicyCommandInput,
  CreateOriginRequestPolicyCommandOutput,
} from "../commands/CreateOriginRequestPolicyCommand";
import {
  CreatePublicKeyCommandInput,
  CreatePublicKeyCommandOutput,
} from "../commands/CreatePublicKeyCommand";
import {
  CreateRealtimeLogConfigCommandInput,
  CreateRealtimeLogConfigCommandOutput,
} from "../commands/CreateRealtimeLogConfigCommand";
import {
  CreateResponseHeadersPolicyCommandInput,
  CreateResponseHeadersPolicyCommandOutput,
} from "../commands/CreateResponseHeadersPolicyCommand";
import {
  CreateStreamingDistributionCommandInput,
  CreateStreamingDistributionCommandOutput,
} from "../commands/CreateStreamingDistributionCommand";
import {
  CreateStreamingDistributionWithTagsCommandInput,
  CreateStreamingDistributionWithTagsCommandOutput,
} from "../commands/CreateStreamingDistributionWithTagsCommand";
import {
  CreateVpcOriginCommandInput,
  CreateVpcOriginCommandOutput,
} from "../commands/CreateVpcOriginCommand";
import {
  DeleteAnycastIpListCommandInput,
  DeleteAnycastIpListCommandOutput,
} from "../commands/DeleteAnycastIpListCommand";
import {
  DeleteCachePolicyCommandInput,
  DeleteCachePolicyCommandOutput,
} from "../commands/DeleteCachePolicyCommand";
import {
  DeleteCloudFrontOriginAccessIdentityCommandInput,
  DeleteCloudFrontOriginAccessIdentityCommandOutput,
} from "../commands/DeleteCloudFrontOriginAccessIdentityCommand";
import {
  DeleteConnectionGroupCommandInput,
  DeleteConnectionGroupCommandOutput,
} from "../commands/DeleteConnectionGroupCommand";
import {
  DeleteContinuousDeploymentPolicyCommandInput,
  DeleteContinuousDeploymentPolicyCommandOutput,
} from "../commands/DeleteContinuousDeploymentPolicyCommand";
import {
  DeleteDistributionCommandInput,
  DeleteDistributionCommandOutput,
} from "../commands/DeleteDistributionCommand";
import {
  DeleteDistributionTenantCommandInput,
  DeleteDistributionTenantCommandOutput,
} from "../commands/DeleteDistributionTenantCommand";
import {
  DeleteFieldLevelEncryptionConfigCommandInput,
  DeleteFieldLevelEncryptionConfigCommandOutput,
} from "../commands/DeleteFieldLevelEncryptionConfigCommand";
import {
  DeleteFieldLevelEncryptionProfileCommandInput,
  DeleteFieldLevelEncryptionProfileCommandOutput,
} from "../commands/DeleteFieldLevelEncryptionProfileCommand";
import {
  DeleteFunctionCommandInput,
  DeleteFunctionCommandOutput,
} from "../commands/DeleteFunctionCommand";
import {
  DeleteKeyGroupCommandInput,
  DeleteKeyGroupCommandOutput,
} from "../commands/DeleteKeyGroupCommand";
import {
  DeleteKeyValueStoreCommandInput,
  DeleteKeyValueStoreCommandOutput,
} from "../commands/DeleteKeyValueStoreCommand";
import {
  DeleteMonitoringSubscriptionCommandInput,
  DeleteMonitoringSubscriptionCommandOutput,
} from "../commands/DeleteMonitoringSubscriptionCommand";
import {
  DeleteOriginAccessControlCommandInput,
  DeleteOriginAccessControlCommandOutput,
} from "../commands/DeleteOriginAccessControlCommand";
import {
  DeleteOriginRequestPolicyCommandInput,
  DeleteOriginRequestPolicyCommandOutput,
} from "../commands/DeleteOriginRequestPolicyCommand";
import {
  DeletePublicKeyCommandInput,
  DeletePublicKeyCommandOutput,
} from "../commands/DeletePublicKeyCommand";
import {
  DeleteRealtimeLogConfigCommandInput,
  DeleteRealtimeLogConfigCommandOutput,
} from "../commands/DeleteRealtimeLogConfigCommand";
import {
  DeleteResponseHeadersPolicyCommandInput,
  DeleteResponseHeadersPolicyCommandOutput,
} from "../commands/DeleteResponseHeadersPolicyCommand";
import {
  DeleteStreamingDistributionCommandInput,
  DeleteStreamingDistributionCommandOutput,
} from "../commands/DeleteStreamingDistributionCommand";
import {
  DeleteVpcOriginCommandInput,
  DeleteVpcOriginCommandOutput,
} from "../commands/DeleteVpcOriginCommand";
import {
  DescribeFunctionCommandInput,
  DescribeFunctionCommandOutput,
} from "../commands/DescribeFunctionCommand";
import {
  DescribeKeyValueStoreCommandInput,
  DescribeKeyValueStoreCommandOutput,
} from "../commands/DescribeKeyValueStoreCommand";
import {
  DisassociateDistributionTenantWebACLCommandInput,
  DisassociateDistributionTenantWebACLCommandOutput,
} from "../commands/DisassociateDistributionTenantWebACLCommand";
import {
  DisassociateDistributionWebACLCommandInput,
  DisassociateDistributionWebACLCommandOutput,
} from "../commands/DisassociateDistributionWebACLCommand";
import {
  GetAnycastIpListCommandInput,
  GetAnycastIpListCommandOutput,
} from "../commands/GetAnycastIpListCommand";
import {
  GetCachePolicyCommandInput,
  GetCachePolicyCommandOutput,
} from "../commands/GetCachePolicyCommand";
import {
  GetCachePolicyConfigCommandInput,
  GetCachePolicyConfigCommandOutput,
} from "../commands/GetCachePolicyConfigCommand";
import {
  GetCloudFrontOriginAccessIdentityCommandInput,
  GetCloudFrontOriginAccessIdentityCommandOutput,
} from "../commands/GetCloudFrontOriginAccessIdentityCommand";
import {
  GetCloudFrontOriginAccessIdentityConfigCommandInput,
  GetCloudFrontOriginAccessIdentityConfigCommandOutput,
} from "../commands/GetCloudFrontOriginAccessIdentityConfigCommand";
import {
  GetConnectionGroupByRoutingEndpointCommandInput,
  GetConnectionGroupByRoutingEndpointCommandOutput,
} from "../commands/GetConnectionGroupByRoutingEndpointCommand";
import {
  GetConnectionGroupCommandInput,
  GetConnectionGroupCommandOutput,
} from "../commands/GetConnectionGroupCommand";
import {
  GetContinuousDeploymentPolicyCommandInput,
  GetContinuousDeploymentPolicyCommandOutput,
} from "../commands/GetContinuousDeploymentPolicyCommand";
import {
  GetContinuousDeploymentPolicyConfigCommandInput,
  GetContinuousDeploymentPolicyConfigCommandOutput,
} from "../commands/GetContinuousDeploymentPolicyConfigCommand";
import {
  GetDistributionCommandInput,
  GetDistributionCommandOutput,
} from "../commands/GetDistributionCommand";
import {
  GetDistributionConfigCommandInput,
  GetDistributionConfigCommandOutput,
} from "../commands/GetDistributionConfigCommand";
import {
  GetDistributionTenantByDomainCommandInput,
  GetDistributionTenantByDomainCommandOutput,
} from "../commands/GetDistributionTenantByDomainCommand";
import {
  GetDistributionTenantCommandInput,
  GetDistributionTenantCommandOutput,
} from "../commands/GetDistributionTenantCommand";
import {
  GetFieldLevelEncryptionCommandInput,
  GetFieldLevelEncryptionCommandOutput,
} from "../commands/GetFieldLevelEncryptionCommand";
import {
  GetFieldLevelEncryptionConfigCommandInput,
  GetFieldLevelEncryptionConfigCommandOutput,
} from "../commands/GetFieldLevelEncryptionConfigCommand";
import {
  GetFieldLevelEncryptionProfileCommandInput,
  GetFieldLevelEncryptionProfileCommandOutput,
} from "../commands/GetFieldLevelEncryptionProfileCommand";
import {
  GetFieldLevelEncryptionProfileConfigCommandInput,
  GetFieldLevelEncryptionProfileConfigCommandOutput,
} from "../commands/GetFieldLevelEncryptionProfileConfigCommand";
import {
  GetFunctionCommandInput,
  GetFunctionCommandOutput,
} from "../commands/GetFunctionCommand";
import {
  GetInvalidationCommandInput,
  GetInvalidationCommandOutput,
} from "../commands/GetInvalidationCommand";
import {
  GetInvalidationForDistributionTenantCommandInput,
  GetInvalidationForDistributionTenantCommandOutput,
} from "../commands/GetInvalidationForDistributionTenantCommand";
import {
  GetKeyGroupCommandInput,
  GetKeyGroupCommandOutput,
} from "../commands/GetKeyGroupCommand";
import {
  GetKeyGroupConfigCommandInput,
  GetKeyGroupConfigCommandOutput,
} from "../commands/GetKeyGroupConfigCommand";
import {
  GetManagedCertificateDetailsCommandInput,
  GetManagedCertificateDetailsCommandOutput,
} from "../commands/GetManagedCertificateDetailsCommand";
import {
  GetMonitoringSubscriptionCommandInput,
  GetMonitoringSubscriptionCommandOutput,
} from "../commands/GetMonitoringSubscriptionCommand";
import {
  GetOriginAccessControlCommandInput,
  GetOriginAccessControlCommandOutput,
} from "../commands/GetOriginAccessControlCommand";
import {
  GetOriginAccessControlConfigCommandInput,
  GetOriginAccessControlConfigCommandOutput,
} from "../commands/GetOriginAccessControlConfigCommand";
import {
  GetOriginRequestPolicyCommandInput,
  GetOriginRequestPolicyCommandOutput,
} from "../commands/GetOriginRequestPolicyCommand";
import {
  GetOriginRequestPolicyConfigCommandInput,
  GetOriginRequestPolicyConfigCommandOutput,
} from "../commands/GetOriginRequestPolicyConfigCommand";
import {
  GetPublicKeyCommandInput,
  GetPublicKeyCommandOutput,
} from "../commands/GetPublicKeyCommand";
import {
  GetPublicKeyConfigCommandInput,
  GetPublicKeyConfigCommandOutput,
} from "../commands/GetPublicKeyConfigCommand";
import {
  GetRealtimeLogConfigCommandInput,
  GetRealtimeLogConfigCommandOutput,
} from "../commands/GetRealtimeLogConfigCommand";
import {
  GetResponseHeadersPolicyCommandInput,
  GetResponseHeadersPolicyCommandOutput,
} from "../commands/GetResponseHeadersPolicyCommand";
import {
  GetResponseHeadersPolicyConfigCommandInput,
  GetResponseHeadersPolicyConfigCommandOutput,
} from "../commands/GetResponseHeadersPolicyConfigCommand";
import {
  GetStreamingDistributionCommandInput,
  GetStreamingDistributionCommandOutput,
} from "../commands/GetStreamingDistributionCommand";
import {
  GetStreamingDistributionConfigCommandInput,
  GetStreamingDistributionConfigCommandOutput,
} from "../commands/GetStreamingDistributionConfigCommand";
import {
  GetVpcOriginCommandInput,
  GetVpcOriginCommandOutput,
} from "../commands/GetVpcOriginCommand";
import {
  ListAnycastIpListsCommandInput,
  ListAnycastIpListsCommandOutput,
} from "../commands/ListAnycastIpListsCommand";
import {
  ListCachePoliciesCommandInput,
  ListCachePoliciesCommandOutput,
} from "../commands/ListCachePoliciesCommand";
import {
  ListCloudFrontOriginAccessIdentitiesCommandInput,
  ListCloudFrontOriginAccessIdentitiesCommandOutput,
} from "../commands/ListCloudFrontOriginAccessIdentitiesCommand";
import {
  ListConflictingAliasesCommandInput,
  ListConflictingAliasesCommandOutput,
} from "../commands/ListConflictingAliasesCommand";
import {
  ListConnectionGroupsCommandInput,
  ListConnectionGroupsCommandOutput,
} from "../commands/ListConnectionGroupsCommand";
import {
  ListContinuousDeploymentPoliciesCommandInput,
  ListContinuousDeploymentPoliciesCommandOutput,
} from "../commands/ListContinuousDeploymentPoliciesCommand";
import {
  ListDistributionsByAnycastIpListIdCommandInput,
  ListDistributionsByAnycastIpListIdCommandOutput,
} from "../commands/ListDistributionsByAnycastIpListIdCommand";
import {
  ListDistributionsByCachePolicyIdCommandInput,
  ListDistributionsByCachePolicyIdCommandOutput,
} from "../commands/ListDistributionsByCachePolicyIdCommand";
import {
  ListDistributionsByConnectionModeCommandInput,
  ListDistributionsByConnectionModeCommandOutput,
} from "../commands/ListDistributionsByConnectionModeCommand";
import {
  ListDistributionsByKeyGroupCommandInput,
  ListDistributionsByKeyGroupCommandOutput,
} from "../commands/ListDistributionsByKeyGroupCommand";
import {
  ListDistributionsByOriginRequestPolicyIdCommandInput,
  ListDistributionsByOriginRequestPolicyIdCommandOutput,
} from "../commands/ListDistributionsByOriginRequestPolicyIdCommand";
import {
  ListDistributionsByRealtimeLogConfigCommandInput,
  ListDistributionsByRealtimeLogConfigCommandOutput,
} from "../commands/ListDistributionsByRealtimeLogConfigCommand";
import {
  ListDistributionsByResponseHeadersPolicyIdCommandInput,
  ListDistributionsByResponseHeadersPolicyIdCommandOutput,
} from "../commands/ListDistributionsByResponseHeadersPolicyIdCommand";
import {
  ListDistributionsByVpcOriginIdCommandInput,
  ListDistributionsByVpcOriginIdCommandOutput,
} from "../commands/ListDistributionsByVpcOriginIdCommand";
import {
  ListDistributionsByWebACLIdCommandInput,
  ListDistributionsByWebACLIdCommandOutput,
} from "../commands/ListDistributionsByWebACLIdCommand";
import {
  ListDistributionsCommandInput,
  ListDistributionsCommandOutput,
} from "../commands/ListDistributionsCommand";
import {
  ListDistributionTenantsByCustomizationCommandInput,
  ListDistributionTenantsByCustomizationCommandOutput,
} from "../commands/ListDistributionTenantsByCustomizationCommand";
import {
  ListDistributionTenantsCommandInput,
  ListDistributionTenantsCommandOutput,
} from "../commands/ListDistributionTenantsCommand";
import {
  ListDomainConflictsCommandInput,
  ListDomainConflictsCommandOutput,
} from "../commands/ListDomainConflictsCommand";
import {
  ListFieldLevelEncryptionConfigsCommandInput,
  ListFieldLevelEncryptionConfigsCommandOutput,
} from "../commands/ListFieldLevelEncryptionConfigsCommand";
import {
  ListFieldLevelEncryptionProfilesCommandInput,
  ListFieldLevelEncryptionProfilesCommandOutput,
} from "../commands/ListFieldLevelEncryptionProfilesCommand";
import {
  ListFunctionsCommandInput,
  ListFunctionsCommandOutput,
} from "../commands/ListFunctionsCommand";
import {
  ListInvalidationsCommandInput,
  ListInvalidationsCommandOutput,
} from "../commands/ListInvalidationsCommand";
import {
  ListInvalidationsForDistributionTenantCommandInput,
  ListInvalidationsForDistributionTenantCommandOutput,
} from "../commands/ListInvalidationsForDistributionTenantCommand";
import {
  ListKeyGroupsCommandInput,
  ListKeyGroupsCommandOutput,
} from "../commands/ListKeyGroupsCommand";
import {
  ListKeyValueStoresCommandInput,
  ListKeyValueStoresCommandOutput,
} from "../commands/ListKeyValueStoresCommand";
import {
  ListOriginAccessControlsCommandInput,
  ListOriginAccessControlsCommandOutput,
} from "../commands/ListOriginAccessControlsCommand";
import {
  ListOriginRequestPoliciesCommandInput,
  ListOriginRequestPoliciesCommandOutput,
} from "../commands/ListOriginRequestPoliciesCommand";
import {
  ListPublicKeysCommandInput,
  ListPublicKeysCommandOutput,
} from "../commands/ListPublicKeysCommand";
import {
  ListRealtimeLogConfigsCommandInput,
  ListRealtimeLogConfigsCommandOutput,
} from "../commands/ListRealtimeLogConfigsCommand";
import {
  ListResponseHeadersPoliciesCommandInput,
  ListResponseHeadersPoliciesCommandOutput,
} from "../commands/ListResponseHeadersPoliciesCommand";
import {
  ListStreamingDistributionsCommandInput,
  ListStreamingDistributionsCommandOutput,
} from "../commands/ListStreamingDistributionsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  ListVpcOriginsCommandInput,
  ListVpcOriginsCommandOutput,
} from "../commands/ListVpcOriginsCommand";
import {
  PublishFunctionCommandInput,
  PublishFunctionCommandOutput,
} from "../commands/PublishFunctionCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  TestFunctionCommandInput,
  TestFunctionCommandOutput,
} from "../commands/TestFunctionCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateCachePolicyCommandInput,
  UpdateCachePolicyCommandOutput,
} from "../commands/UpdateCachePolicyCommand";
import {
  UpdateCloudFrontOriginAccessIdentityCommandInput,
  UpdateCloudFrontOriginAccessIdentityCommandOutput,
} from "../commands/UpdateCloudFrontOriginAccessIdentityCommand";
import {
  UpdateConnectionGroupCommandInput,
  UpdateConnectionGroupCommandOutput,
} from "../commands/UpdateConnectionGroupCommand";
import {
  UpdateContinuousDeploymentPolicyCommandInput,
  UpdateContinuousDeploymentPolicyCommandOutput,
} from "../commands/UpdateContinuousDeploymentPolicyCommand";
import {
  UpdateDistributionCommandInput,
  UpdateDistributionCommandOutput,
} from "../commands/UpdateDistributionCommand";
import {
  UpdateDistributionTenantCommandInput,
  UpdateDistributionTenantCommandOutput,
} from "../commands/UpdateDistributionTenantCommand";
import {
  UpdateDistributionWithStagingConfigCommandInput,
  UpdateDistributionWithStagingConfigCommandOutput,
} from "../commands/UpdateDistributionWithStagingConfigCommand";
import {
  UpdateDomainAssociationCommandInput,
  UpdateDomainAssociationCommandOutput,
} from "../commands/UpdateDomainAssociationCommand";
import {
  UpdateFieldLevelEncryptionConfigCommandInput,
  UpdateFieldLevelEncryptionConfigCommandOutput,
} from "../commands/UpdateFieldLevelEncryptionConfigCommand";
import {
  UpdateFieldLevelEncryptionProfileCommandInput,
  UpdateFieldLevelEncryptionProfileCommandOutput,
} from "../commands/UpdateFieldLevelEncryptionProfileCommand";
import {
  UpdateFunctionCommandInput,
  UpdateFunctionCommandOutput,
} from "../commands/UpdateFunctionCommand";
import {
  UpdateKeyGroupCommandInput,
  UpdateKeyGroupCommandOutput,
} from "../commands/UpdateKeyGroupCommand";
import {
  UpdateKeyValueStoreCommandInput,
  UpdateKeyValueStoreCommandOutput,
} from "../commands/UpdateKeyValueStoreCommand";
import {
  UpdateOriginAccessControlCommandInput,
  UpdateOriginAccessControlCommandOutput,
} from "../commands/UpdateOriginAccessControlCommand";
import {
  UpdateOriginRequestPolicyCommandInput,
  UpdateOriginRequestPolicyCommandOutput,
} from "../commands/UpdateOriginRequestPolicyCommand";
import {
  UpdatePublicKeyCommandInput,
  UpdatePublicKeyCommandOutput,
} from "../commands/UpdatePublicKeyCommand";
import {
  UpdateRealtimeLogConfigCommandInput,
  UpdateRealtimeLogConfigCommandOutput,
} from "../commands/UpdateRealtimeLogConfigCommand";
import {
  UpdateResponseHeadersPolicyCommandInput,
  UpdateResponseHeadersPolicyCommandOutput,
} from "../commands/UpdateResponseHeadersPolicyCommand";
import {
  UpdateStreamingDistributionCommandInput,
  UpdateStreamingDistributionCommandOutput,
} from "../commands/UpdateStreamingDistributionCommand";
import {
  UpdateVpcOriginCommandInput,
  UpdateVpcOriginCommandOutput,
} from "../commands/UpdateVpcOriginCommand";
import {
  VerifyDnsConfigurationCommandInput,
  VerifyDnsConfigurationCommandOutput,
} from "../commands/VerifyDnsConfigurationCommand";
export declare const se_AssociateAliasCommand: (
  input: AssociateAliasCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateDistributionTenantWebACLCommand: (
  input: AssociateDistributionTenantWebACLCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_AssociateDistributionWebACLCommand: (
  input: AssociateDistributionWebACLCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CopyDistributionCommand: (
  input: CopyDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateAnycastIpListCommand: (
  input: CreateAnycastIpListCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCachePolicyCommand: (
  input: CreateCachePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateCloudFrontOriginAccessIdentityCommand: (
  input: CreateCloudFrontOriginAccessIdentityCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateConnectionGroupCommand: (
  input: CreateConnectionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateContinuousDeploymentPolicyCommand: (
  input: CreateContinuousDeploymentPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDistributionCommand: (
  input: CreateDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDistributionTenantCommand: (
  input: CreateDistributionTenantCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateDistributionWithTagsCommand: (
  input: CreateDistributionWithTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateFieldLevelEncryptionConfigCommand: (
  input: CreateFieldLevelEncryptionConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateFieldLevelEncryptionProfileCommand: (
  input: CreateFieldLevelEncryptionProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateFunctionCommand: (
  input: CreateFunctionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateInvalidationCommand: (
  input: CreateInvalidationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateInvalidationForDistributionTenantCommand: (
  input: CreateInvalidationForDistributionTenantCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateKeyGroupCommand: (
  input: CreateKeyGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateKeyValueStoreCommand: (
  input: CreateKeyValueStoreCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateMonitoringSubscriptionCommand: (
  input: CreateMonitoringSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateOriginAccessControlCommand: (
  input: CreateOriginAccessControlCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateOriginRequestPolicyCommand: (
  input: CreateOriginRequestPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreatePublicKeyCommand: (
  input: CreatePublicKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateRealtimeLogConfigCommand: (
  input: CreateRealtimeLogConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateResponseHeadersPolicyCommand: (
  input: CreateResponseHeadersPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateStreamingDistributionCommand: (
  input: CreateStreamingDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateStreamingDistributionWithTagsCommand: (
  input: CreateStreamingDistributionWithTagsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateVpcOriginCommand: (
  input: CreateVpcOriginCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteAnycastIpListCommand: (
  input: DeleteAnycastIpListCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCachePolicyCommand: (
  input: DeleteCachePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteCloudFrontOriginAccessIdentityCommand: (
  input: DeleteCloudFrontOriginAccessIdentityCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteConnectionGroupCommand: (
  input: DeleteConnectionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteContinuousDeploymentPolicyCommand: (
  input: DeleteContinuousDeploymentPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDistributionCommand: (
  input: DeleteDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteDistributionTenantCommand: (
  input: DeleteDistributionTenantCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteFieldLevelEncryptionConfigCommand: (
  input: DeleteFieldLevelEncryptionConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteFieldLevelEncryptionProfileCommand: (
  input: DeleteFieldLevelEncryptionProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteFunctionCommand: (
  input: DeleteFunctionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteKeyGroupCommand: (
  input: DeleteKeyGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteKeyValueStoreCommand: (
  input: DeleteKeyValueStoreCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteMonitoringSubscriptionCommand: (
  input: DeleteMonitoringSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteOriginAccessControlCommand: (
  input: DeleteOriginAccessControlCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteOriginRequestPolicyCommand: (
  input: DeleteOriginRequestPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeletePublicKeyCommand: (
  input: DeletePublicKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteRealtimeLogConfigCommand: (
  input: DeleteRealtimeLogConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteResponseHeadersPolicyCommand: (
  input: DeleteResponseHeadersPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteStreamingDistributionCommand: (
  input: DeleteStreamingDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteVpcOriginCommand: (
  input: DeleteVpcOriginCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeFunctionCommand: (
  input: DescribeFunctionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeKeyValueStoreCommand: (
  input: DescribeKeyValueStoreCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateDistributionTenantWebACLCommand: (
  input: DisassociateDistributionTenantWebACLCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DisassociateDistributionWebACLCommand: (
  input: DisassociateDistributionWebACLCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetAnycastIpListCommand: (
  input: GetAnycastIpListCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCachePolicyCommand: (
  input: GetCachePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCachePolicyConfigCommand: (
  input: GetCachePolicyConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCloudFrontOriginAccessIdentityCommand: (
  input: GetCloudFrontOriginAccessIdentityCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetCloudFrontOriginAccessIdentityConfigCommand: (
  input: GetCloudFrontOriginAccessIdentityConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetConnectionGroupCommand: (
  input: GetConnectionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetConnectionGroupByRoutingEndpointCommand: (
  input: GetConnectionGroupByRoutingEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetContinuousDeploymentPolicyCommand: (
  input: GetContinuousDeploymentPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetContinuousDeploymentPolicyConfigCommand: (
  input: GetContinuousDeploymentPolicyConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDistributionCommand: (
  input: GetDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDistributionConfigCommand: (
  input: GetDistributionConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDistributionTenantCommand: (
  input: GetDistributionTenantCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetDistributionTenantByDomainCommand: (
  input: GetDistributionTenantByDomainCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetFieldLevelEncryptionCommand: (
  input: GetFieldLevelEncryptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetFieldLevelEncryptionConfigCommand: (
  input: GetFieldLevelEncryptionConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetFieldLevelEncryptionProfileCommand: (
  input: GetFieldLevelEncryptionProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetFieldLevelEncryptionProfileConfigCommand: (
  input: GetFieldLevelEncryptionProfileConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetFunctionCommand: (
  input: GetFunctionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetInvalidationCommand: (
  input: GetInvalidationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetInvalidationForDistributionTenantCommand: (
  input: GetInvalidationForDistributionTenantCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetKeyGroupCommand: (
  input: GetKeyGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetKeyGroupConfigCommand: (
  input: GetKeyGroupConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetManagedCertificateDetailsCommand: (
  input: GetManagedCertificateDetailsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetMonitoringSubscriptionCommand: (
  input: GetMonitoringSubscriptionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOriginAccessControlCommand: (
  input: GetOriginAccessControlCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOriginAccessControlConfigCommand: (
  input: GetOriginAccessControlConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOriginRequestPolicyCommand: (
  input: GetOriginRequestPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOriginRequestPolicyConfigCommand: (
  input: GetOriginRequestPolicyConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPublicKeyCommand: (
  input: GetPublicKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetPublicKeyConfigCommand: (
  input: GetPublicKeyConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetRealtimeLogConfigCommand: (
  input: GetRealtimeLogConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetResponseHeadersPolicyCommand: (
  input: GetResponseHeadersPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetResponseHeadersPolicyConfigCommand: (
  input: GetResponseHeadersPolicyConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetStreamingDistributionCommand: (
  input: GetStreamingDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetStreamingDistributionConfigCommand: (
  input: GetStreamingDistributionConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetVpcOriginCommand: (
  input: GetVpcOriginCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListAnycastIpListsCommand: (
  input: ListAnycastIpListsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCachePoliciesCommand: (
  input: ListCachePoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListCloudFrontOriginAccessIdentitiesCommand: (
  input: ListCloudFrontOriginAccessIdentitiesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListConflictingAliasesCommand: (
  input: ListConflictingAliasesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListConnectionGroupsCommand: (
  input: ListConnectionGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListContinuousDeploymentPoliciesCommand: (
  input: ListContinuousDeploymentPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsCommand: (
  input: ListDistributionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsByAnycastIpListIdCommand: (
  input: ListDistributionsByAnycastIpListIdCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsByCachePolicyIdCommand: (
  input: ListDistributionsByCachePolicyIdCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsByConnectionModeCommand: (
  input: ListDistributionsByConnectionModeCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsByKeyGroupCommand: (
  input: ListDistributionsByKeyGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsByOriginRequestPolicyIdCommand: (
  input: ListDistributionsByOriginRequestPolicyIdCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsByRealtimeLogConfigCommand: (
  input: ListDistributionsByRealtimeLogConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsByResponseHeadersPolicyIdCommand: (
  input: ListDistributionsByResponseHeadersPolicyIdCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsByVpcOriginIdCommand: (
  input: ListDistributionsByVpcOriginIdCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionsByWebACLIdCommand: (
  input: ListDistributionsByWebACLIdCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionTenantsCommand: (
  input: ListDistributionTenantsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDistributionTenantsByCustomizationCommand: (
  input: ListDistributionTenantsByCustomizationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListDomainConflictsCommand: (
  input: ListDomainConflictsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListFieldLevelEncryptionConfigsCommand: (
  input: ListFieldLevelEncryptionConfigsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListFieldLevelEncryptionProfilesCommand: (
  input: ListFieldLevelEncryptionProfilesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListFunctionsCommand: (
  input: ListFunctionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListInvalidationsCommand: (
  input: ListInvalidationsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListInvalidationsForDistributionTenantCommand: (
  input: ListInvalidationsForDistributionTenantCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListKeyGroupsCommand: (
  input: ListKeyGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListKeyValueStoresCommand: (
  input: ListKeyValueStoresCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListOriginAccessControlsCommand: (
  input: ListOriginAccessControlsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListOriginRequestPoliciesCommand: (
  input: ListOriginRequestPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListPublicKeysCommand: (
  input: ListPublicKeysCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListRealtimeLogConfigsCommand: (
  input: ListRealtimeLogConfigsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListResponseHeadersPoliciesCommand: (
  input: ListResponseHeadersPoliciesCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListStreamingDistributionsCommand: (
  input: ListStreamingDistributionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListVpcOriginsCommand: (
  input: ListVpcOriginsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PublishFunctionCommand: (
  input: PublishFunctionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TestFunctionCommand: (
  input: TestFunctionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateCachePolicyCommand: (
  input: UpdateCachePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateCloudFrontOriginAccessIdentityCommand: (
  input: UpdateCloudFrontOriginAccessIdentityCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateConnectionGroupCommand: (
  input: UpdateConnectionGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateContinuousDeploymentPolicyCommand: (
  input: UpdateContinuousDeploymentPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDistributionCommand: (
  input: UpdateDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDistributionTenantCommand: (
  input: UpdateDistributionTenantCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDistributionWithStagingConfigCommand: (
  input: UpdateDistributionWithStagingConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateDomainAssociationCommand: (
  input: UpdateDomainAssociationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateFieldLevelEncryptionConfigCommand: (
  input: UpdateFieldLevelEncryptionConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateFieldLevelEncryptionProfileCommand: (
  input: UpdateFieldLevelEncryptionProfileCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateFunctionCommand: (
  input: UpdateFunctionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateKeyGroupCommand: (
  input: UpdateKeyGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateKeyValueStoreCommand: (
  input: UpdateKeyValueStoreCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateOriginAccessControlCommand: (
  input: UpdateOriginAccessControlCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateOriginRequestPolicyCommand: (
  input: UpdateOriginRequestPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdatePublicKeyCommand: (
  input: UpdatePublicKeyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateRealtimeLogConfigCommand: (
  input: UpdateRealtimeLogConfigCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateResponseHeadersPolicyCommand: (
  input: UpdateResponseHeadersPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateStreamingDistributionCommand: (
  input: UpdateStreamingDistributionCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateVpcOriginCommand: (
  input: UpdateVpcOriginCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_VerifyDnsConfigurationCommand: (
  input: VerifyDnsConfigurationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_AssociateAliasCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateAliasCommandOutput>;
export declare const de_AssociateDistributionTenantWebACLCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateDistributionTenantWebACLCommandOutput>;
export declare const de_AssociateDistributionWebACLCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<AssociateDistributionWebACLCommandOutput>;
export declare const de_CopyDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CopyDistributionCommandOutput>;
export declare const de_CreateAnycastIpListCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateAnycastIpListCommandOutput>;
export declare const de_CreateCachePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCachePolicyCommandOutput>;
export declare const de_CreateCloudFrontOriginAccessIdentityCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateCloudFrontOriginAccessIdentityCommandOutput>;
export declare const de_CreateConnectionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateConnectionGroupCommandOutput>;
export declare const de_CreateContinuousDeploymentPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateContinuousDeploymentPolicyCommandOutput>;
export declare const de_CreateDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDistributionCommandOutput>;
export declare const de_CreateDistributionTenantCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDistributionTenantCommandOutput>;
export declare const de_CreateDistributionWithTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateDistributionWithTagsCommandOutput>;
export declare const de_CreateFieldLevelEncryptionConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateFieldLevelEncryptionConfigCommandOutput>;
export declare const de_CreateFieldLevelEncryptionProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateFieldLevelEncryptionProfileCommandOutput>;
export declare const de_CreateFunctionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateFunctionCommandOutput>;
export declare const de_CreateInvalidationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateInvalidationCommandOutput>;
export declare const de_CreateInvalidationForDistributionTenantCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateInvalidationForDistributionTenantCommandOutput>;
export declare const de_CreateKeyGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateKeyGroupCommandOutput>;
export declare const de_CreateKeyValueStoreCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateKeyValueStoreCommandOutput>;
export declare const de_CreateMonitoringSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateMonitoringSubscriptionCommandOutput>;
export declare const de_CreateOriginAccessControlCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateOriginAccessControlCommandOutput>;
export declare const de_CreateOriginRequestPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateOriginRequestPolicyCommandOutput>;
export declare const de_CreatePublicKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreatePublicKeyCommandOutput>;
export declare const de_CreateRealtimeLogConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateRealtimeLogConfigCommandOutput>;
export declare const de_CreateResponseHeadersPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateResponseHeadersPolicyCommandOutput>;
export declare const de_CreateStreamingDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateStreamingDistributionCommandOutput>;
export declare const de_CreateStreamingDistributionWithTagsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateStreamingDistributionWithTagsCommandOutput>;
export declare const de_CreateVpcOriginCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateVpcOriginCommandOutput>;
export declare const de_DeleteAnycastIpListCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteAnycastIpListCommandOutput>;
export declare const de_DeleteCachePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCachePolicyCommandOutput>;
export declare const de_DeleteCloudFrontOriginAccessIdentityCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteCloudFrontOriginAccessIdentityCommandOutput>;
export declare const de_DeleteConnectionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteConnectionGroupCommandOutput>;
export declare const de_DeleteContinuousDeploymentPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteContinuousDeploymentPolicyCommandOutput>;
export declare const de_DeleteDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDistributionCommandOutput>;
export declare const de_DeleteDistributionTenantCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteDistributionTenantCommandOutput>;
export declare const de_DeleteFieldLevelEncryptionConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteFieldLevelEncryptionConfigCommandOutput>;
export declare const de_DeleteFieldLevelEncryptionProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteFieldLevelEncryptionProfileCommandOutput>;
export declare const de_DeleteFunctionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteFunctionCommandOutput>;
export declare const de_DeleteKeyGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteKeyGroupCommandOutput>;
export declare const de_DeleteKeyValueStoreCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteKeyValueStoreCommandOutput>;
export declare const de_DeleteMonitoringSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteMonitoringSubscriptionCommandOutput>;
export declare const de_DeleteOriginAccessControlCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOriginAccessControlCommandOutput>;
export declare const de_DeleteOriginRequestPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOriginRequestPolicyCommandOutput>;
export declare const de_DeletePublicKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeletePublicKeyCommandOutput>;
export declare const de_DeleteRealtimeLogConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteRealtimeLogConfigCommandOutput>;
export declare const de_DeleteResponseHeadersPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteResponseHeadersPolicyCommandOutput>;
export declare const de_DeleteStreamingDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteStreamingDistributionCommandOutput>;
export declare const de_DeleteVpcOriginCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteVpcOriginCommandOutput>;
export declare const de_DescribeFunctionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeFunctionCommandOutput>;
export declare const de_DescribeKeyValueStoreCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeKeyValueStoreCommandOutput>;
export declare const de_DisassociateDistributionTenantWebACLCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateDistributionTenantWebACLCommandOutput>;
export declare const de_DisassociateDistributionWebACLCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DisassociateDistributionWebACLCommandOutput>;
export declare const de_GetAnycastIpListCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetAnycastIpListCommandOutput>;
export declare const de_GetCachePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCachePolicyCommandOutput>;
export declare const de_GetCachePolicyConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCachePolicyConfigCommandOutput>;
export declare const de_GetCloudFrontOriginAccessIdentityCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCloudFrontOriginAccessIdentityCommandOutput>;
export declare const de_GetCloudFrontOriginAccessIdentityConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetCloudFrontOriginAccessIdentityConfigCommandOutput>;
export declare const de_GetConnectionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetConnectionGroupCommandOutput>;
export declare const de_GetConnectionGroupByRoutingEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetConnectionGroupByRoutingEndpointCommandOutput>;
export declare const de_GetContinuousDeploymentPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetContinuousDeploymentPolicyCommandOutput>;
export declare const de_GetContinuousDeploymentPolicyConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetContinuousDeploymentPolicyConfigCommandOutput>;
export declare const de_GetDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDistributionCommandOutput>;
export declare const de_GetDistributionConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDistributionConfigCommandOutput>;
export declare const de_GetDistributionTenantCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDistributionTenantCommandOutput>;
export declare const de_GetDistributionTenantByDomainCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetDistributionTenantByDomainCommandOutput>;
export declare const de_GetFieldLevelEncryptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetFieldLevelEncryptionCommandOutput>;
export declare const de_GetFieldLevelEncryptionConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetFieldLevelEncryptionConfigCommandOutput>;
export declare const de_GetFieldLevelEncryptionProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetFieldLevelEncryptionProfileCommandOutput>;
export declare const de_GetFieldLevelEncryptionProfileConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetFieldLevelEncryptionProfileConfigCommandOutput>;
export declare const de_GetFunctionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetFunctionCommandOutput>;
export declare const de_GetInvalidationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetInvalidationCommandOutput>;
export declare const de_GetInvalidationForDistributionTenantCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetInvalidationForDistributionTenantCommandOutput>;
export declare const de_GetKeyGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetKeyGroupCommandOutput>;
export declare const de_GetKeyGroupConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetKeyGroupConfigCommandOutput>;
export declare const de_GetManagedCertificateDetailsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetManagedCertificateDetailsCommandOutput>;
export declare const de_GetMonitoringSubscriptionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetMonitoringSubscriptionCommandOutput>;
export declare const de_GetOriginAccessControlCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOriginAccessControlCommandOutput>;
export declare const de_GetOriginAccessControlConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOriginAccessControlConfigCommandOutput>;
export declare const de_GetOriginRequestPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOriginRequestPolicyCommandOutput>;
export declare const de_GetOriginRequestPolicyConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOriginRequestPolicyConfigCommandOutput>;
export declare const de_GetPublicKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPublicKeyCommandOutput>;
export declare const de_GetPublicKeyConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetPublicKeyConfigCommandOutput>;
export declare const de_GetRealtimeLogConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRealtimeLogConfigCommandOutput>;
export declare const de_GetResponseHeadersPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetResponseHeadersPolicyCommandOutput>;
export declare const de_GetResponseHeadersPolicyConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetResponseHeadersPolicyConfigCommandOutput>;
export declare const de_GetStreamingDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetStreamingDistributionCommandOutput>;
export declare const de_GetStreamingDistributionConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetStreamingDistributionConfigCommandOutput>;
export declare const de_GetVpcOriginCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetVpcOriginCommandOutput>;
export declare const de_ListAnycastIpListsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListAnycastIpListsCommandOutput>;
export declare const de_ListCachePoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCachePoliciesCommandOutput>;
export declare const de_ListCloudFrontOriginAccessIdentitiesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListCloudFrontOriginAccessIdentitiesCommandOutput>;
export declare const de_ListConflictingAliasesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListConflictingAliasesCommandOutput>;
export declare const de_ListConnectionGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListConnectionGroupsCommandOutput>;
export declare const de_ListContinuousDeploymentPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListContinuousDeploymentPoliciesCommandOutput>;
export declare const de_ListDistributionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsCommandOutput>;
export declare const de_ListDistributionsByAnycastIpListIdCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsByAnycastIpListIdCommandOutput>;
export declare const de_ListDistributionsByCachePolicyIdCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsByCachePolicyIdCommandOutput>;
export declare const de_ListDistributionsByConnectionModeCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsByConnectionModeCommandOutput>;
export declare const de_ListDistributionsByKeyGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsByKeyGroupCommandOutput>;
export declare const de_ListDistributionsByOriginRequestPolicyIdCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsByOriginRequestPolicyIdCommandOutput>;
export declare const de_ListDistributionsByRealtimeLogConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsByRealtimeLogConfigCommandOutput>;
export declare const de_ListDistributionsByResponseHeadersPolicyIdCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsByResponseHeadersPolicyIdCommandOutput>;
export declare const de_ListDistributionsByVpcOriginIdCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsByVpcOriginIdCommandOutput>;
export declare const de_ListDistributionsByWebACLIdCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionsByWebACLIdCommandOutput>;
export declare const de_ListDistributionTenantsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionTenantsCommandOutput>;
export declare const de_ListDistributionTenantsByCustomizationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDistributionTenantsByCustomizationCommandOutput>;
export declare const de_ListDomainConflictsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListDomainConflictsCommandOutput>;
export declare const de_ListFieldLevelEncryptionConfigsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListFieldLevelEncryptionConfigsCommandOutput>;
export declare const de_ListFieldLevelEncryptionProfilesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListFieldLevelEncryptionProfilesCommandOutput>;
export declare const de_ListFunctionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListFunctionsCommandOutput>;
export declare const de_ListInvalidationsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListInvalidationsCommandOutput>;
export declare const de_ListInvalidationsForDistributionTenantCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListInvalidationsForDistributionTenantCommandOutput>;
export declare const de_ListKeyGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListKeyGroupsCommandOutput>;
export declare const de_ListKeyValueStoresCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListKeyValueStoresCommandOutput>;
export declare const de_ListOriginAccessControlsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListOriginAccessControlsCommandOutput>;
export declare const de_ListOriginRequestPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListOriginRequestPoliciesCommandOutput>;
export declare const de_ListPublicKeysCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListPublicKeysCommandOutput>;
export declare const de_ListRealtimeLogConfigsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListRealtimeLogConfigsCommandOutput>;
export declare const de_ListResponseHeadersPoliciesCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListResponseHeadersPoliciesCommandOutput>;
export declare const de_ListStreamingDistributionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListStreamingDistributionsCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_ListVpcOriginsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListVpcOriginsCommandOutput>;
export declare const de_PublishFunctionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PublishFunctionCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_TestFunctionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TestFunctionCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateCachePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCachePolicyCommandOutput>;
export declare const de_UpdateCloudFrontOriginAccessIdentityCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateCloudFrontOriginAccessIdentityCommandOutput>;
export declare const de_UpdateConnectionGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateConnectionGroupCommandOutput>;
export declare const de_UpdateContinuousDeploymentPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateContinuousDeploymentPolicyCommandOutput>;
export declare const de_UpdateDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDistributionCommandOutput>;
export declare const de_UpdateDistributionTenantCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDistributionTenantCommandOutput>;
export declare const de_UpdateDistributionWithStagingConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDistributionWithStagingConfigCommandOutput>;
export declare const de_UpdateDomainAssociationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateDomainAssociationCommandOutput>;
export declare const de_UpdateFieldLevelEncryptionConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateFieldLevelEncryptionConfigCommandOutput>;
export declare const de_UpdateFieldLevelEncryptionProfileCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateFieldLevelEncryptionProfileCommandOutput>;
export declare const de_UpdateFunctionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateFunctionCommandOutput>;
export declare const de_UpdateKeyGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateKeyGroupCommandOutput>;
export declare const de_UpdateKeyValueStoreCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateKeyValueStoreCommandOutput>;
export declare const de_UpdateOriginAccessControlCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateOriginAccessControlCommandOutput>;
export declare const de_UpdateOriginRequestPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateOriginRequestPolicyCommandOutput>;
export declare const de_UpdatePublicKeyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdatePublicKeyCommandOutput>;
export declare const de_UpdateRealtimeLogConfigCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateRealtimeLogConfigCommandOutput>;
export declare const de_UpdateResponseHeadersPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateResponseHeadersPolicyCommandOutput>;
export declare const de_UpdateStreamingDistributionCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateStreamingDistributionCommandOutput>;
export declare const de_UpdateVpcOriginCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateVpcOriginCommandOutput>;
export declare const de_VerifyDnsConfigurationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<VerifyDnsConfigurationCommandOutput>;
